CREATE TABLE hz_geographies (
    GEOGRAPHY_ID               NUMBER(18, 0) ,
    IMPORT_BATCH_ID            NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    GEOGRAPHY_TYPE             VARCHAR2(120)     NOT NULL,
    GEOGRAPHY_NAME             VARCHAR2(1440)    NOT NULL,
    GEOGRAPHY_USE              VARCHAR2(120)     NOT NULL,
    GEOGRAPHY_CODE             VARCHAR2(120) ,
    START_DATE                 DATE              NOT NULL,
    END_DATE                   DATE              NOT NULL,
    MULTIPLE_PARENT_FLAG       VARCHAR2(4)       NOT NULL,
    CREATED_BY_MODULE          VARCHAR2(120)     NOT NULL,
    COUNTRY_CODE               VARCHAR2(8)   ,
    GEOGRAPHY_ELEMENT1         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT1_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT1_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT2         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT2_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT2_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT3         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT3_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT3_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT4         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT4_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT4_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT5         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT5_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT5_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT6         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT6_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT7         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT7_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT8         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT8_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT9         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT9_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT10        VARCHAR2(1440),
    GEOGRAPHY_ELEMENT10_ID     NUMBER(18, 0) ,
    TIMEZONE_CODE              VARCHAR2(256) ,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE16                VARCHAR2(600) ,
    ATTRIBUTE17                VARCHAR2(600) ,
    ATTRIBUTE18                VARCHAR2(600) ,
    ATTRIBUTE19                VARCHAR2(600) ,
    ATTRIBUTE20                VARCHAR2(600) ,
    ATTRIBUTE21                VARCHAR2(600) ,
    ATTRIBUTE22                VARCHAR2(600) ,
    ATTRIBUTE23                VARCHAR2(600) ,
    ATTRIBUTE24                VARCHAR2(600) ,
    ATTRIBUTE25                VARCHAR2(600) ,
    ATTRIBUTE26                VARCHAR2(600) ,
    ATTRIBUTE27                VARCHAR2(600) ,
    ATTRIBUTE28                VARCHAR2(600) ,
    ATTRIBUTE29                VARCHAR2(600) ,
    ATTRIBUTE30                VARCHAR2(1020),
    ATTRIBUTE_NUMBER1          NUMBER        ,
    ATTRIBUTE_NUMBER2          NUMBER        ,
    ATTRIBUTE_NUMBER3          NUMBER        ,
    ATTRIBUTE_NUMBER4          NUMBER        ,
    ATTRIBUTE_NUMBER5          NUMBER        ,
    ATTRIBUTE_NUMBER6          NUMBER        ,
    ATTRIBUTE_NUMBER7          NUMBER        ,
    ATTRIBUTE_NUMBER8          NUMBER        ,
    ATTRIBUTE_NUMBER9          NUMBER        ,
    ATTRIBUTE_NUMBER10         NUMBER        ,
    ATTRIBUTE_NUMBER11         NUMBER        ,
    ATTRIBUTE_NUMBER12         NUMBER        ,
    ATTRIBUTE_DATE1            DATE          ,
    ATTRIBUTE_DATE2            DATE          ,
    ATTRIBUTE_DATE3            DATE          ,
    ATTRIBUTE_DATE4            DATE          ,
    ATTRIBUTE_DATE5            DATE          ,
    ATTRIBUTE_DATE6            DATE          ,
    ATTRIBUTE_DATE7            DATE          ,
    ATTRIBUTE_DATE8            DATE          ,
    ATTRIBUTE_DATE9            DATE          ,
    ATTRIBUTE_DATE10           DATE          ,
    ATTRIBUTE_DATE11           DATE          ,
    ATTRIBUTE_DATE12           DATE          ,
    GEOCODE_FLAG               VARCHAR2(4)   ,
    GEOGRAPHY_NUMBER           VARCHAR2(960) ,
    HIDDEN_FLAG                VARCHAR2(4)   ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    DEFAULT_GEO_PROVIDER       VARCHAR2(120) ,
    DEFAULT_GEO_VERSION        VARCHAR2(960) ,
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    GEOGRAPHY_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    GEOGRAPHY_TYPE             VARCHAR2(120)     NOT NULL,
    GEOGRAPHY_NAME             VARCHAR2(1440)    NOT NULL,
    GEOGRAPHY_USE              VARCHAR2(120)     NOT NULL,
    GEOGRAPHY_CODE             VARCHAR2(120) ,
    START_DATE                 DATE              NOT NULL,
    END_DATE                   DATE              NOT NULL,
    MULTIPLE_PARENT_FLAG       VARCHAR2(4)       NOT NULL,
    CREATED_BY_MODULE          VARCHAR2(120)     NOT NULL,
    COUNTRY_CODE               VARCHAR2(8)   ,
    GEOGRAPHY_ELEMENT1         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT1_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT1_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT2         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT2_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT2_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT3         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT3_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT3_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT4         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT4_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT4_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT5         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT5_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT5_CODE    VARCHAR2(120) ,
    GEOGRAPHY_ELEMENT6         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT6_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT7         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT7_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT8         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT8_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT9         VARCHAR2(1440),
    GEOGRAPHY_ELEMENT9_ID      NUMBER(18, 0) ,
    GEOGRAPHY_ELEMENT10        VARCHAR2(1440),
    GEOGRAPHY_ELEMENT10_ID     NUMBER(18, 0) ,
    TIMEZONE_CODE              VARCHAR2(256) ,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE16                VARCHAR2(600) ,
    ATTRIBUTE17                VARCHAR2(600) ,
    ATTRIBUTE18                VARCHAR2(600) ,
    ATTRIBUTE19                VARCHAR2(600) ,
    ATTRIBUTE20                VARCHAR2(600) ,
    ATTRIBUTE21                VARCHAR2(600) ,
    ATTRIBUTE22                VARCHAR2(600) ,
    ATTRIBUTE23                VARCHAR2(600) ,
    ATTRIBUTE24                VARCHAR2(600) ,
    ATTRIBUTE25                VARCHAR2(600) ,
    ATTRIBUTE26                VARCHAR2(600) ,
    ATTRIBUTE27                VARCHAR2(600) ,
    ATTRIBUTE28                VARCHAR2(600) ,
    ATTRIBUTE29                VARCHAR2(600) ,
    ATTRIBUTE30                VARCHAR2(1020),
    ATTRIBUTE_NUMBER1          NUMBER        ,
    ATTRIBUTE_NUMBER2          NUMBER        ,
    ATTRIBUTE_NUMBER3          NUMBER        ,
    ATTRIBUTE_NUMBER4          NUMBER        ,
    ATTRIBUTE_NUMBER5          NUMBER        ,
    ATTRIBUTE_NUMBER6          NUMBER        ,
    ATTRIBUTE_NUMBER7          NUMBER        ,
    ATTRIBUTE_NUMBER8          NUMBER        ,
    ATTRIBUTE_NUMBER9          NUMBER        ,
    ATTRIBUTE_NUMBER10         NUMBER        ,
    ATTRIBUTE_NUMBER11         NUMBER        ,
    ATTRIBUTE_NUMBER12         NUMBER        ,
    ATTRIBUTE_DATE1            DATE          ,
    ATTRIBUTE_DATE2            DATE          ,
    ATTRIBUTE_DATE3            DATE          ,
    ATTRIBUTE_DATE4            DATE          ,
    ATTRIBUTE_DATE5            DATE          ,
    ATTRIBUTE_DATE6            DATE          ,
    ATTRIBUTE_DATE7            DATE          ,
    ATTRIBUTE_DATE8            DATE          ,
    ATTRIBUTE_DATE9            DATE          ,
    ATTRIBUTE_DATE10           DATE          ,
    ATTRIBUTE_DATE11           DATE          ,
    ATTRIBUTE_DATE12           DATE          ,
    GEOCODE_FLAG               VARCHAR2(4)   ,
    GEOGRAPHY_NUMBER           VARCHAR2(960) ,
    HIDDEN_FLAG                VARCHAR2(4)   ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    DEFAULT_GEO_PROVIDER       VARCHAR2(120) ,
    DEFAULT_GEO_VERSION        VARCHAR2(960) ,
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    IMPORT_BATCH_ID            NUMBER(18, 0) ,
    CONSTRAINT pk_hz_geographies PRIMARY KEY (GEOGRAPHY_ID, GEOGRAPHY_ID)
);
